API referenceReports
Get Balance Sheet Statement
GET /company/{id}/statements/balanceSheet
GET
/company/{id}/statements/balanceSheetPath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
basis?string
The value is normalized before matching, so any casing that maps onto a listed value is accepted.
Value in
- "cash"
- "accrual"
viewBy?string
The value is normalized before matching, so any casing that maps onto a listed value is accepted.
Value in
- "month"
- "quarter"
- "year"
- "totals"
- "departments"
startPeriod?string
Length
1 <= lengthendPeriod?string
Length
1 <= lengthdateMacro?string
Value in
- "CurrentMonth"
- "LastFullMonth"
- "LastThreeMonths"
- "LastThreeFullMonths"
- "CurrentYear"
- "LastYear"
- "QuarterToDate"
- "YearToDate"
Response Body
application/json
curl -X GET "https://example.com/company/string/statements/balanceSheet"{ "columns": [ { "key": "string", "label": "string", "dateRange": { "start": "string", "end": "string" } } ], "lines": [ { "id": "string", "title": "string", "values": [ { "balance": "string", "columnKey": "string" } ], "accountId": "string", "accountNumber": "string", "parentId": "string", "childIds": [ "string" ], "lineType": "account", "metadata": { "counterpartyName": "string", "counterpartyType": "customer", "revenueSourceType": "transaction" } } ]}Schema refreshed 2026-11-11T18:57:48.657Z